# Interface StyleSheetList

public interface StyleSheetList
The `StyleSheetList` interface provides the abstraction of an ordered collection of style sheets.

The items in the `StyleSheetList` are accessible via an integral index, starting from 0.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  1.4, DOM Level 2

## Method Summary

Modifier and Type
Method
Description
`int`
`getLength()`
The number of `StyleSheets` in the list.
`StyleSheet`
`item(int index)`
Used to retrieve a style sheet by ordinal index.

## Method Details

### getLength

int getLength()
The number of `StyleSheets` in the list. The range of valid child stylesheet indices is `0` to `length-1` inclusive.

### item

StyleSheet item(int index)
Used to retrieve a style sheet by ordinal index. If index is greater than or equal to the number of style sheets in the list, this returns `null`.

Parameters:
  `index` - Index into the collection
Returns:
  The style sheet at the `index` position in the `StyleSheetList`, or `null` if that is not a valid index.